Think you have a false positive on this rule?

Sid 1-35676

Message

BROWSER-FIREFOX Mozilla Firefox PDF.js same origin policy violation attempt

Summary

The PDF reader in Mozilla Firefox before 39.0.3, Firefox ESR 38.x before 38.1.1, and Firefox OS before 2.2 allows remote attackers to bypass the Same Origin Policy, and read arbitrary files or gain privileges, via vectors involving crafted JavaScript code and a native setter, as exploited in the wild in August 2015.

Impact

CVSS base score 4.3 CVSS impact score 2.9 CVSS exploitability score 8.6 confidentialityImpact PARTIAL integrityImpact NONE availabilityImpact NONE

CVE-2015-4495:

CVSS base score 4.3

CVSS impact score 2.9

CVSS exploitability score 8.6

Confidentiality Impact PARTIAL

Integrity Impact NONE

Availability Impact NONE

Detailed information

CVE-2015-4495: The PDF reader in Mozilla Firefox before 39.0.3, Firefox ESR 38.x before 38.1.1, and Firefox OS before 2.2 allows remote attackers to bypass the Same Origin Policy, and read arbitrary files or gain privileges, via vectors involving crafted JavaScript code and a native setter, as exploited in the wild in August 2015.

Affected systems

  • mozilla firefox 39.0
  • mozilla firefox_esr 38.0
  • mozilla firefox_esr 38.0.1
  • mozilla firefox_esr 38.0.5
  • mozilla firefox_esr 38.1.0
  • mozilla firefox_os 2.1.0
  • canonical ubuntu_linux 12.04
  • canonical ubuntu_linux 14.04
  • canonical ubuntu_linux 15.04
  • novell opensuse 13.1
  • novell opensuse 13.2
  • novell suselinuxenterprise_desktop 12.0
  • novell suselinuxenterprise_server 12.0
  • novell suselinuxenterprisesoftwaredevelopment_kit 12.0
  • oracle solaris 11.3

Ease of attack

CVE-2015-4495:

Access Vector NETWORK

Access Complexity MEDIUM

Authentication NONE

False positives

None known

False negatives

None known

Corrective action

Upgrade to the latest non-affected version of the software.

Apply the appropriate vendor supplied patches.

Contributors

  • Talos research team.
  • This document was generated from data supplied by the national vulnerability database, a product of the national institute of standards and technology.
  • For more information see nvd.

Additional References

  • www.mozilla.org/en-US/security/advisories/mfsa2015-78/